{% autoescape false %}
{% macro serverAlias(serverAliases) %}
{% filter spaceless %}
    {% if serverAliases %}
    ServerAlias {% for serverAlias in serverAliases %}{{ serverAlias }} {% endfor %}
    {% endif %}
{% endfilter %}
{% endmacro %}
{% import _self as macros %}
<VirtualHost *:80>
    ServerName {{ serverName }}
    {{ macros.serverAlias(serverAliases) }}
    ServerAdmin {{ serverAdmin }}

    CustomLog {{ homeDir }}/logs/access.log vhost_combined
    ErrorLog {{ homeDir }}/logs/error.log

    DocumentRoot "{{ homeDir }}/htdocs"

    AccessFileName .htaccess
    <FilesMatch "^\.ht">
        Require all denied
    </FilesMatch>

    <Directory "{{ homeDir }}/htdocs">
        Options FollowSymLinks
        AllowOverride All

        Require all granted
    </Directory>

    <FilesMatch ".+\.ph(p[3457]?|t|tml)$">
        SetHandler "proxy:unix:{{ homeDir }}/php-fpm-{{ phpVersion }}.sock|fcgi://localhost"
    </FilesMatch>

    DirectoryIndex index.php index.html
</VirtualHost>
{% endautoescape %}
